Namespace
timescale
Image / Tag
timescaledb-ha:pg13-builder-amd64
Content Digest
sha256:50e31f419269afb8cc8b38b21c7832806b78a2671e211b91956dae73a578e197
Details
Created

2025-11-04 07:35:11 UTC

Size

1.35 GB

Content Digest
Labels
  • com.timescaledb.image.install_method
    docker-ha
  • org.opencontainers.image.created
    2025-11-04T07:13:54+00:00
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.revision
    refs/heads/master
  • org.opencontainers.image.source
    https://github.com/timescale/timescaledb-docker-ha
  • org.opencontainers.image.vendor
    Timescale
  • org.opencontainers.image.version
    22.04

Environment
BACKUPROOT

/home/postgres/pgdata/backup

BUILD_PACKAGES

binutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev

CARGO_HOME

/usr/local/cargo

DEBIAN_FRONTEND

noninteractive

LANG

C.UTF-8

LC_ALL

C.UTF-8

MAKEFLAGS

-j4

PAGER

PATH

/usr/lib/postgresql/13/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PGBACKREST_CONFIG

/home/postgres/pgdata/backup/pgbackrest.conf

PGBACKREST_STANZA

poddb

PGDATA

/home/postgres/pgdata/data

PGLOG

/home/postgres/pg_log

PGROOT

/home/postgres

PGSOCKET

/home/postgres/pgdata

RUSTUP_HOME

/usr/local/rustup

RUST_VERSION

1.85.0


Layers

[#000] sha256:af6eca94c8104c8e90d3f9efe59c2b3a02b20aad3d985e31c7cd009ea104c447 - 2.03% (28.2 MB)

[#001] sha256:aa435c9f68d349442ccb4aae586a49c6f0572ee1ae1a71b1e68ff086e19d2a21 - 0.0% (4.21 KB)

[#002] sha256:6b03bae82301f0280d47270daa923fa13dd51dff71931676f2f58603d8c5a1ee - 0.0% (215 Bytes)

[#003] sha256:d33ef1c1ac81f397b4c12d7b35003a5b9f41dd60b9237c7d5cbfa441f5df3694 - 0.0% (228 Bytes)

[#004] sha256:917d07f107b8a0573ae8a520e317021eb76e241b6f08032b0df19a657d6f770a - 0.0% (447 Bytes)

[#005] sha256:869387ba3f200f057c01a8992d1c28e9b7412b1ff5800c335d769fe82a04573c - 0.0% (942 Bytes)

[#006] sha256:a7a75be2d4e725d36237b6c825fe59bcd3f2aeb5547af69e01101c00ed9cb4ac - 4.73% (65.6 MB)

[#007] sha256:fb363d6c6ada8c8e7fcfb5ec917b613e846819fb8d5c43948c80f35c975ab47b - 0.0% (119 Bytes)

[#008] sha256:64980fb6fb863306e13ce689843658376c45368ee74d6f07f10b0b9d6f41d273 - 0.0% (95 Bytes)

[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#010] sha256:3a797e0e867bc14480c17850754826d6f384ff16464b47e98c88e2d3ffbfbcb5 - 0.0% (3.56 KB)

[#011] sha256:239375ea816027cff5ade49a00289487f9cef61d0b4a1bf7d5ec7ed00c6c2be2 - 0.0% (5.5 KB)

[#012] sha256:b2b55b7076d83da77af4c7f1d5822e765e1d1458d3414b1b75d898935938d9d3 - 0.0% (3.02 KB)

[#013] sha256:11cf1af41ff39eaa43eb3bb6885a13635950a946ab8b93f93544d45a04ca2335 - 0.0% (271 Bytes)

[#014] sha256:8c961efb65b247be23385a26772a22264c3eb89551f29bac52b2bab53a961d69 - 5.54% (76.8 MB)

[#015] sha256:406246f545e8d6623d7aaee3beec591a3dcd18127686f9e44090b11033886458 - 0.29% (4 MB)

[#016] sha256:b1c24313e4fe4c9931556a6733105427941434112a634641a5caf7d5e73da5a7 - 0.58% (8.02 MB)

[#017] sha256:e06f014bfff3e6c5b5c6c12fb2d8c6e7588c11a4e2dfd876e7b848602f0d779a - 0.0% (838 Bytes)

[#018] sha256:94a9fd8bd8644f11be28bbd96a41cf5d80aec5772cfa6ea05e732cbad75a4689 - 13.22% (183 MB)

[#019] sha256:029c3c5059b8e26f34025132cd22df4643d8bd37348f43e56f018ca197e588e8 - 0.06% (850 KB)

[#020] sha256:6b7d0e2a203816ff79c71f9b7f478e09008063ca15c803b039a5da53a95249c3 - 0.35% (4.91 MB)

[#021] sha256:ff9dec3e191645268c32f4f5dda42f131c0c6c43cd3037d135a1fa1bf64cc633 - 3.0% (41.6 MB)

[#022] sha256:f906aa265a79a16aede769deed2f33bf1817ffe480890d166ab7bbbee2d8d1b5 - 7.61% (105 MB)

[#023] sha256:312ec610c8ac66721c4d032e75f10b9dd1a48a304971ee651ad3e26e8d78c8dd - 0.0% (1.97 KB)

[#024] sha256:fe246df27601d059f12e292c50f18359864c719b6e4f30340255bcb9e32f9809 - 0.11% (1.5 MB)

[#025] sha256:33d3f0dc56e3f7cd3c0185f6d0b9b5f65b4f0fe9154e28a1944fff97a35fd4bf - 0.0% (7.85 KB)

[#026] sha256:74649434d371e3b72d2849763d119b5a229ad98d6abd998325b8ef5ca6896fa1 - 15.82% (219 MB)

[#027] sha256:22508b4a7b597ca27679cc2d9aa78113895ae857b554c920e2b05624c095a7f0 - 0.11% (1.55 MB)

[#028] sha256:c4155397c09ada6885e1e43902cd26019dbfe30823e09fde870dabf2bc2c2fb6 - 7.82% (108 MB)

[#029] sha256:eb199dd08483601767c5dbfce1bd61dfabd07aa071151f47254353b31fdaf59a - 0.0% (2.78 KB)

[#030] sha256:a1bda9594f841335bfcbb947793ea6884f1cccff36177b4c397911c017147b37 - 0.03% (429 KB)

[#031] sha256:b09d2fed6e3897f8024d5ed35963fb0cc786d4dd12689359a289719002a3b1af - 0.0% (2.78 KB)

[#032] sha256:460f2cc91cf1e5d95451ec169eba435506dc956f20947a31baefab0aa210319d - 0.02% (299 KB)

[#033] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#034] sha256:311f2406ea8b81588689cb69c6d65d8a1799271147dbe100c193eef6b683223e - 0.23% (3.19 MB)

[#035] sha256:9ca69a354407f5556f40c213ef9376973831f6425a9b2f92258cdc50f553d88c - 0.37% (5.07 MB)

[#036] sha256:9ffc3a05b5bc2d15bfc773a3d00d375423d79d1d506f07cee727f28f389aaedf - 1.47% (20.3 MB)

[#037] sha256:e0eaf0b039bef1e97e31f1ddafb0d4e8d33d5c7fea3870590b398c5bbfaa23b7 - 0.32% (4.41 MB)

[#038] sha256:84e87a387fa37cfd917a3525fed29381fb4fdced78152b2e51e38f1c22238020 - 0.02% (243 KB)

[#039] sha256:dca5f502a4afec620fe956b81d07768428648a5d0cd6ea61d6424bcb6b0c3516 - 0.0% (563 Bytes)

[#040] sha256:4d775c04505c6009f9fd2039db8a706075715ef34c7a7418d9be0084c773b248 - 0.0% (5.17 KB)

[#041] sha256:969d87d5393b1e4e769f27e3660ab5d4dddb01169332103088db9d72e3d3bbc4 - 0.0% (123 Bytes)

[#042] sha256:e619db2d7df116ba293a51ad69e08d6faf06f6d92dade97a481f3c25756aa913 - 0.0% (15.2 KB)

[#043] sha256:050220bab9717662913f51b02b73430708fb1a8b0451228343360a74c0e19785 - 0.0% (8.46 KB)

[#044] sha256:65763fa6ff1a8e7e4ae16e94216824fa2af580564b446a1ee18c92cdd183ff85 - 5.8% (80.5 MB)

[#045] sha256:8cf7e49cc82cdf3beb825a631c2fa6ac4980e27ce91556f8873235b458ca3eb3 - 1.29% (17.9 MB)

[#046] sha256:cf75bf06811ae43288d13d11392b0e3edb040506081c8d59a2fffc51d4293374 - 0.0% (166 Bytes)

[#047] sha256:7ac6525d596268cd294bb7dc23fdcf6724c56af42ae2bfbd911fb2432de90376 - 4.28% (59.3 MB)

[#048] sha256:672907d9071c0687865714e9cda414e473282a86008733be10e9b2b194fdf6f0 - 0.76% (10.6 MB)

[#049] sha256:535162c1203f186bf57b49510ddd0668bfdd32e52771273f74f8f39bd781cb4c - 0.02% (260 KB)

[#050] sha256:604b15417264198959b691f6ad9f12606f50e5f253f4c5f9f4ce2b3428ebe18c - 0.03% (433 KB)

[#051] sha256:25ce58a2e4645cfc54fc87fc081d3f5d67def01d8dc3f3ac91e88c84539ee619 - 22.94% (318 MB)

[#052] sha256:382da7b3f09341b07f11b47fb0995b9c6e945ca6d015fab4c3db1f2bf00736e2 - 0.69% (9.59 MB)

[#053] sha256:56ed3ca7403cb6abc02d4dc5c5d031c86dae16067cc34fe657d488a855f08ca0 - 0.27% (3.7 MB)

[#054] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#055] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#056] sha256:424ee0ae68c3613294f372479039388b0d998a3615cfacff53efe217995a2678 - 0.0% (1.25 KB)

[#057] sha256:b1fd06d467e2b5a278a7a99521ff89720fc46b078bf208280d5d5506ce254bb8 - 0.0% (121 Bytes)

[#058] sha256:a6e264eb93d7b7f8ac13f50d04c433a66320f97e11a33dfad30a5c3027b8a4d1 - 0.0% (986 Bytes)

[#059] sha256:90063918dcb2fd640903d6fdb9f1b33a15edd3bea733b3c778b9b284d6a55357 - 0.0% (24.9 KB)

[#060] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#061] sha256:97b23db08c87d90f26d7fd0292edf1bf7fa2f8e1cdc3d89e91131a76b20ff82c - 0.0% (335 Bytes)

[#062] sha256:b5749ea6ecb73ecd933e1e16272f1b3c39513ba037ff7775ea90e4067d711d85 - 0.0% (152 Bytes)

[#063] sha256:1ceb9e55257e37e94c249028d6577a4ef35bc23cbc82edbda685cc4920e86bd0 - 0.0% (319 Bytes)

[#064] sha256:5a6b1fef32454cd352a888d7385b62b07c42d3efa12c8b1a29be0116cd30a4df - 0.19% (2.69 MB)

[#065] sha256:9771cf25442eab729da4e20ed2532dee8640aea7245514372e487cd3be1fced7 - 0.0% (914 Bytes)

[#066] sha256:850ffca37d116c843be8cdae53d1331bb2c111b9dae335ca4da20636995596d7 - 0.0% (597 Bytes)

[#067] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#068] sha256:642ad095ad416e55c63a1ddf7d9520bbb168cdcaa05e6d502fe8ccb9517a0424 - 0.0% (4.16 KB)

[#069] sha256:c0994e275b4746978ea3ae1ce6db55d50ef9861cc351eec60ba89cdb97671de3 - 0.0% (148 Bytes)


History
2025-10-01 07:05:07 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-10-01 07:05:07 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-10-01 07:05:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-10-01 07:05:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2025-10-01 07:05:09 UTC

/bin/sh -c #(nop) ADD file:32d41b6329e8f89fa4ac92ef97c04b7cfd5e90fb74e1509c3e27d7c91195b7c7 in /

2025-10-01 07:05:10 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-11-04 07:13:56 UTC (buildkit.dockerfile.v0)

SHELL [/bin/bash -exu -o pipefail -c]

2025-11-04 07:13:56 UTC (buildkit.dockerfile.v0)

ARG PG_VERSIONS=13

2025-11-04 07:13:56 UTC (buildkit.dockerfile.v0)

ARG PG_MAJOR=13

2025-11-04 07:13:56 UTC (buildkit.dockerfile.v0)

ENV DEBIAN_FRONTEND=noninteractive

2025-11-04 07:13:56 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c adduser --home /home/postgres --uid 1000 --disabled-password --gecos "" postgres # buildkit

2025-11-04 07:13:56 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c echo 'APT::Install-Recommends "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit

2025-11-04 07:13:56 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c echo 'APT::Install-Suggests "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit

2025-11-04 07:13:56 UTC (buildkit.dockerfile.v0)

COPY sources /tmp/sources # buildkit

2025-11-04 07:13:57 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c source="/tmp/sources/sources.list.$(dpkg --print-architecture)"; mv /etc/apt/sources.list /etc/apt/sources.list.dist; cp "$source" /etc/apt/sources.list; rm -fr /tmp/sources # buildkit

2025-11-04 07:14:46 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y ca-certificates curl gnupg1 gpg gpg-agent locales lsb-release wget unzip # buildkit

2025-11-04 07:14:46 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c mkdir -p /build/scripts # buildkit

2025-11-04 07:14:46 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c chmod 777 /build # buildkit

2025-11-04 07:14:46 UTC (buildkit.dockerfile.v0)

WORKDIR /build/

2025-11-04 07:14:47 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c curl -Ls https://www.postgresql.org/media/keys/ACCC4CF8.asc | gpg --dearmor --output /usr/share/keyrings/postgresql.keyring # buildkit

2025-11-04 07:14:47 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c for t in deb deb-src; do echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt.postgresql.org/pub/repos/apt/ $(lsb_release -s -c)-pgdg main 18" >> /etc/apt/sources.list.d/pgdg.list; echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt-archive.postgresql.org/pub/repos/apt $(lsb_release -s -c)-pgdg-archive main" >> /etc/apt/sources.list.d/pgdg.list; done # buildkit

2025-11-04 07:14:48 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c curl -Ls https://packagecloud.io/timescale/timescaledb/gpgkey | gpg --dearmor --output /usr/share/keyrings/timescaledb.keyring # buildkit

2025-11-04 07:14:48 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/timescaledb.keyring] https://packagecloud.io/timescale/timescaledb/ubuntu/ $(lsb_release -cs) main" > /etc/apt/sources.list.d/timescaledb.list # buildkit

2025-11-04 07:15:10 UTC (buildkit.dockerfile.v0)

RUN |2 PG_VERSIONS=13 PG_MAJOR=13 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y less jq strace procps awscli vim-tiny gdb gdbserver dumb-init daemontools postgresql-common pgbouncer pgbackrest lz4 libpq-dev libpq5 pgtop libnss-wrapper gosu pg-activity lsof htop; curl -Lso /usr/local/bin/yq https://github.com/mikefarah/yq/releases/latest/download/yq_linux_"$(dpkg --print-architecture)"; chmod 755 /usr/local/bin/yq # buildkit

2025-11-04 07:15:10 UTC (buildkit.dockerfile.v0)

ARG PGBACKREST_EXPORTER_VERSION=0.18.0

2025-11-04 07:15:10 UTC (buildkit.dockerfile.v0)

RUN |3 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 /bin/bash -exu -o pipefail -c arch="$(arch)"; [ "$arch" = aarch64 ] && arch=arm64; pkg="pgbackrest_exporter_${PGBACKREST_EXPORTER_VERSION}_linux_${arch}"; curl --silent --location --output /tmp/pkg.deb "https://github.com/woblerr/pgbackrest_exporter/releases/download/v${PGBACKREST_EXPORTER_VERSION}/${pkg}.deb"; cd /tmp; dpkg -i ./pkg.deb; rm -rfv /tmp/pkg.deb # buildkit

2025-11-04 07:15:10 UTC (buildkit.dockerfile.v0)

ARG PGBOUNCER_EXPORTER_VERSION=0.9.0

2025-11-04 07:15:11 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c pkg="pgbouncer_exporter-${PGBOUNCER_EXPORTER_VERSION}.linux-$(dpkg --print-architecture)"; curl --silent --location --output /tmp/pkg.tgz "https://github.com/prometheus-community/pgbouncer_exporter/releases/download/v${PGBOUNCER_EXPORTER_VERSION}/${pkg}.tar.gz"; cd /tmp; tar xvzf /tmp/pkg.tgz "$pkg"/pgbouncer_exporter; mv -v /tmp/"$pkg"/pgbouncer_exporter /usr/local/bin/pgbouncer_exporter; rm -rfv /tmp/pkg.tgz /tmp/"$pkg" # buildkit

2025-11-04 07:15:11 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c sed -ri 's/#(create_main_cluster) .*$/\1 = false/' /etc/postgresql-common/createcluster.conf # buildkit

2025-11-04 07:15:11 UTC (buildkit.dockerfile.v0)

ENV RUSTUP_HOME=/usr/local/rustup CARGO_HOME=/usr/local/cargo PATH=/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUST_VERSION=1.85.0

2025-11-04 07:15:19 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) rustArch='x86_64-unknown-linux-gnu'; rustupSha256='6aeece6993e902708983b209d04c0d1dbb14ebb405ddb87def578d41f920f56d' ;; armhf) rustArch='armv7-unknown-linux-gnueabihf'; rustupSha256='3c4114923305f1cd3b96ce3454e9e549ad4aa7c07c03aec73d1a785e98388bed' ;; arm64) rustArch='aarch64-unknown-linux-gnu'; rustupSha256='1cffbf51e63e634c746f741de50649bbbcbd9dbe1de363c9ecef64e278dba2b2' ;; i386) rustArch='i686-unknown-linux-gnu'; rustupSha256='0a6bed6e9f21192a51f83977716466895706059afb880500ff1d0e751ada5237' ;; *) echo >&2 "unsupported architecture: ${dpkgArch}"; exit 1 ;; esac; url="https://static.rust-lang.org/rustup/archive/1.27.1/${rustArch}/rustup-init"; wget "$url"; echo "${rustupSha256} *rustup-init" | sha256sum -c -; chmod +x rustup-init; ./rustup-init -y --no-modify-path --profile minimal --default-toolchain $RUST_VERSION --default-host ${rustArch}; rm rustup-init; chmod -R a+w $RUSTUP_HOME $CARGO_HOME; rustup --version; cargo --version; rustc --version # buildkit

2025-11-04 07:15:21 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c find /usr/share/i18n/charmaps/ -type f ! -name UTF-8.gz -delete; find /usr/share/i18n/locales/ -type f ! -name en_US ! -name en_GB ! -name i18n* ! -name iso14651_t1 ! -name iso14651_t1_common ! -name 'translit_*' -delete; echo 'en_US.UTF-8 UTF-8' > /usr/share/i18n/SUPPORTED; localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8 # buildkit

2025-11-04 07:15:24 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y python3 python3-pip # buildkit

2025-11-04 07:15:26 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c python3 -m pip install uv # buildkit

2025-11-04 07:15:26 UTC (buildkit.dockerfile.v0)

ENV BUILD_PACKAGES=binutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev

2025-11-04 07:15:53 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y ${BUILD_PACKAGES} # buildkit

2025-11-04 07:15:54 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-mark auto ${BUILD_PACKAGES} # buildkit

2025-11-04 07:15:57 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y --allow-downgrades tzdata="2022a-*" # buildkit

2025-11-04 07:15:57 UTC (buildkit.dockerfile.v0)

COPY --chown=postgres:postgres build_scripts /build/scripts/ # buildkit

2025-11-04 07:18:18 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do mk-build-deps "postgresql-${pg}" && apt-get install -y ./postgresql-${pg}-build-deps*.deb && apt-mark auto postgresql-${pg}-build-deps || exit 1; done # buildkit

2025-11-04 07:18:21 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y tzdata # buildkit

2025-11-04 07:18:31 UTC (buildkit.dockerfile.v0)

RUN |4 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c packages=""; for pg in ${PG_VERSIONS}; do export FULL_VERSION="$(/build/scripts/pg_version.sh ${pg})*" ; packages="$packages postgresql-client-${pg}=${FULL_VERSION} postgresql-${pg}=${FULL_VERSION} postgresql-server-dev-${pg}=${FULL_VERSION} postgresql-${pg}-dbgsym=${FULL_VERSION} postgresql-plpython3-${pg}=${FULL_VERSION} postgresql-plperl-${pg}=${FULL_VERSION} postgresql-${pg}-pgextwlist postgresql-${pg}-repack postgresql-${pg}-unit postgresql-${pg}-pgpcre postgresql-${pg}-wal2json postgresql-${pg}-pgq3 postgresql-${pg}-ip4r postgresql-${pg}-pgtap postgresql-${pg}-semver postgresql-${pg}-hypopg postgresql-${pg}-h3 postgresql-${pg}-pgvector postgresql-${pg}-pgrouting postgresql-${pg}-cron postgresql-${pg}-pgaudit postgresql-${pg}-pg-qualstats postgresql-${pg}-pg-stat-kcache postgresql-${pg}-pglogical postgresql-${pg}-hll postgresql-${pg}-pldebugger postgresql-${pg}-rum postgresql-${pg}-orafce"; done; apt-get install -y $packages # buildkit

2025-11-04 07:18:31 UTC (buildkit.dockerfile.v0)

ARG POSTGIS_VERSIONS=3

2025-11-04 07:18:33 UTC (buildkit.dockerfile.v0)

RUN |5 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c if [ -n "${POSTGIS_VERSIONS}" ]; then for postgisv in ${POSTGIS_VERSIONS}; do for pg in ${PG_VERSIONS}; do apt-get install -y postgresql-${pg}-postgis-${postgisv}; done; done; fi # buildkit

2025-11-04 07:18:35 UTC (buildkit.dockerfile.v0)

RUN |5 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c apt-get install -y pgxnclient # buildkit

2025-11-04 07:18:37 UTC (buildkit.dockerfile.v0)

RUN |5 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c apt-get install -y libsodium23 # buildkit

2025-11-04 07:18:46 UTC (buildkit.dockerfile.v0)

RUN |5 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for pkg in pg_uuidv7 pgsodium; do PATH="/usr/lib/postgresql/${pg}/bin:$PATH" pgxnclient install --pg_config "/usr/lib/postgresql/${pg}/bin/pg_config" "$pkg"; done; done # buildkit

2025-11-04 07:18:46 UTC (buildkit.dockerfile.v0)

ARG PGVECTO_RS=0.4.0

2025-11-04 07:18:47 UTC (buildkit.dockerfile.v0)

RUN |6 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 /bin/bash -exu -o pipefail -c if [ -n "${PGVECTO_RS}" ]; then for pg in ${PG_VERSIONS}; do if [[ $pg -ge 14 && $pg -lt 18 ]]; then curl --silent --location --output /tmp/vectors.deb "https://github.com/tensorchord/pgvecto.rs/releases/download/v${PGVECTO_RS}/vectors-pg${pg}_${PGVECTO_RS}_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectors.deb && rm -rfv /tmp/vectors.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vectors.so"; fi done; fi # buildkit

2025-11-04 07:18:47 UTC (buildkit.dockerfile.v0)

ARG VECTORCHORD=0.5.3

2025-11-04 07:18:47 UTC (buildkit.dockerfile.v0)

RUN |7 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c set -ex; if [ -n "${VECTORCHORD}" ]; then for pg in ${PG_VERSIONS}; do if [[ $pg -ge 13 ]]; then curl --silent --location --output /tmp/vectorchord.deb "https://github.com/tensorchord/VectorChord/releases/download/${VECTORCHORD}/postgresql-${pg}-vchord_${VECTORCHORD}-1_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectorchord.deb && rm -rfv /tmp/vectorchord.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vchord.so"; fi done; fi # buildkit

2025-11-04 07:18:55 UTC (buildkit.dockerfile.v0)

RUN |7 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c apt-get install -y python3-etcd python3-requests python3-pystache python3-kubernetes python3-pysyncobj patroni # buildkit

2025-11-04 07:19:02 UTC (buildkit.dockerfile.v0)

RUN |7 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c pip3 install --no-cache-dir 'barman[cloud,azure,snappy,google]' # buildkit

2025-11-04 07:19:04 UTC (buildkit.dockerfile.v0)

RUN |7 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c apt-get install -y timescaledb-tools # buildkit

2025-11-04 07:19:04 UTC (buildkit.dockerfile.v0)

ARG GITHUB_TIMESCALEDB_DOCKER_REF=main

2025-11-04 07:19:04 UTC (buildkit.dockerfile.v0)

ARG GITHUB_DOCKERLIB_POSTGRES_REF=master

2025-11-04 07:19:05 UTC (buildkit.dockerfile.v0)

RUN |9 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c cd /build; git clone https://github.com/timescale/timescaledb-docker; cd timescaledb-docker; git checkout ${GITHUB_TIMESCALEDB_DOCKER_REF}; cp -a docker-entrypoint-initdb.d /docker-entrypoint-initdb.d/; ln -s /usr/bin/timescaledb-tune /usr/local/bin/timescaledb-tune # buildkit

2025-11-04 07:19:05 UTC (buildkit.dockerfile.v0)

COPY scripts/010_install_timescaledb_toolkit.sh /docker-entrypoint-initdb.d/ # buildkit

2025-11-04 07:19:05 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/local/bin/docker-entrypoint.sh # buildkit

2025-11-04 07:19:05 UTC (buildkit.dockerfile.v0)

RUN |9 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chmod +x /usr/local/bin/docker-entrypoint.sh; ln -s /usr/local/bin/docker-entrypoint.sh /docker-entrypoint.sh # buildkit

2025-11-04 07:19:06 UTC (buildkit.dockerfile.v0)

RUN |9 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --includedir-server)/extension"; do install --directory "${dir}" --group postgres --mode 1775; find "${dir}" -type d -exec install --directory {} --group postgres --mode 1775 \;; done; done # buildkit

2025-11-04 07:19:07 UTC (buildkit.dockerfile.v0)

RUN |9 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for file in $(find /usr/share/postgresql -name 'postgresql.conf.sample'); do sed -r -i "s/[#]*\s*(shared_preload_libraries)\s*=\s*'(.*)'/\1 = 'timescaledb,\2'/;s/,'/'/" $file && echo "listen_addresses = '*'" >> $file; done # buildkit

2025-11-04 07:19:07 UTC (buildkit.dockerfile.v0)

RUN |9 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chown -R postgres:postgres /usr/local/cargo # buildkit

2025-11-04 07:19:07 UTC (buildkit.dockerfile.v0)

RUN |9 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c mkdir -p /usr/lib/debug; chgrp -R postgres /usr/lib/debug; chmod -R g+w /usr/lib/debug # buildkit

2025-11-04 07:19:07 UTC (buildkit.dockerfile.v0)

RUN |9 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d /usr/local/lib/pgai # buildkit

2025-11-04 07:19:07 UTC (buildkit.dockerfile.v0)

USER postgres

2025-11-04 07:19:07 UTC (buildkit.dockerfile.v0)

ENV MAKEFLAGS=-j4

2025-11-04 07:19:07 UTC (buildkit.dockerfile.v0)

ARG PGAI_VERSION=extension-0.11.2

2025-11-04 07:19:09 UTC (buildkit.dockerfile.v0)

RUN |10 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 /bin/bash -exu -o pipefail -c if [ -n "${PGAI_VERSION}" ]; then git clone --branch "${PGAI_VERSION}" https://github.com/timescale/pgai.git /build/pgai; cd /build/pgai; for pg in ${PG_VERSIONS}; do [[ "$pg" -lt 16 || "$pg" -gt 17 ]] && continue; PG_BIN=$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir) PG_MAJOR=${pg} ./projects/extension/build.py install all; done; fi # buildkit

2025-11-04 07:19:09 UTC (buildkit.dockerfile.v0)

ARG PG_STAT_MONITOR=2.2.0

2025-11-04 07:19:12 UTC (buildkit.dockerfile.v0)

RUN |11 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_STAT_MONITOR}" ]; then git clone https://github.com/percona/pg_stat_monitor /build/pg_stat_monitor; cd /build/pg_stat_monitor; git checkout "${PG_STAT_MONITOR}"; git reset HEAD --hard; for pg in ${PG_VERSIONS}; do [ "$pg" -gt 17 ] && continue; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 all; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 install; done; fi # buildkit

2025-11-04 07:19:12 UTC (buildkit.dockerfile.v0)

ARG PG_AUTH_MON=v3.0

2025-11-04 07:19:12 UTC (buildkit.dockerfile.v0)

RUN |12 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_AUTH_MON}" ]; then git clone https://github.com/RafiaSabih/pg_auth_mon /build/pg_auth_mon; cd /build/pg_auth_mon; git checkout "${PG_AUTH_MON}"; for pg in ${PG_VERSIONS}; do git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit

2025-11-04 07:19:12 UTC (buildkit.dockerfile.v0)

ARG PG_LOGERRORS=v2.1.5

2025-11-04 07:19:13 UTC (buildkit.dockerfile.v0)

RUN |13 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 /bin/bash -exu -o pipefail -c if [ -n "${PG_LOGERRORS}" ]; then git clone https://github.com/munakoiso/logerrors /build/logerrors; cd /build/logerrors; git checkout "${PG_LOGERRORS}"; for pg in ${PG_VERSIONS}; do git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit

2025-11-04 07:19:13 UTC (buildkit.dockerfile.v0)

ARG INSTALL_METHOD=docker-ha

2025-11-04 07:19:13 UTC (buildkit.dockerfile.v0)

ARG OSS_ONLY=false

2025-11-04 07:19:13 UTC (buildkit.dockerfile.v0)

ARG RUST_RELEASE=release

2025-11-04 07:19:13 UTC (buildkit.dockerfile.v0)

ARG GITHUB_REPO=timescale/timescaledb

2025-11-04 07:19:13 UTC (buildkit.dockerfile.v0)

ARG TIMESCALEDB_VERSIONS=all

2025-11-04 07:34:57 UTC (buildkit.dockerfile.v0)

RUN |18 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" GITHUB_REPO="${GITHUB_REPO}" TIMESCALEDB_VERSIONS="${TIMESCALEDB_VERSIONS}" /build/scripts/install_extensions timescaledb # buildkit

2025-11-04 07:34:57 UTC (buildkit.dockerfile.v0)

ARG TOOLKIT_VERSIONS=all

2025-11-04 07:35:05 UTC (buildkit.dockerfile.v0)

RUN |19 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" TOOLKIT_VERSIONS="${TOOLKIT_VERSIONS}" /build/scripts/install_extensions rust # buildkit

2025-11-04 07:35:05 UTC (buildkit.dockerfile.v0)

ARG PGVECTORSCALE_VERSIONS=all

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

RUN |20 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" PGVECTORSCALE_VERSIONS="${PGVECTORSCALE_VERSIONS}" /build/scripts/install_extensions pgvectorscale # buildkit

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

USER root

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

ARG ALLOW_ADDING_EXTENSIONS=true

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

RUN |21 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c if [ "${ALLOW_ADDING_EXTENSIONS}" != "true" ]; then for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)"; do chown -R root:root "{dir}"; done; done; fi # buildkit

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

RUN |21 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c apt-get clean # buildkit

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

ARG PG_MAJOR=13

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

CMD ["postgres"]

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

COPY timescaledb_entrypoint.sh / # buildkit

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

RUN |21 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c ln -s /timescaledb_entrypoint.sh /patroni_entrypoint.sh # buildkit

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

COPY pgbackrest_entrypoint.sh / # buildkit

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

COPY scripts /scripts/ # buildkit

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

ENV PGROOT=/home/postgres PGDATA=/home/postgres/pgdata/data PGLOG=/home/postgres/pg_log PGSOCKET=/home/postgres/pgdata BACKUPROOT=/home/postgres/pgdata/backup PGBACKREST_CONFIG=/home/postgres/pgdata/backup/pgbackrest.conf PGBACKREST_STANZA=poddb PATH=/usr/lib/postgresql/13/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin LC_ALL=C.UTF-8 LANG=C.UTF-8 PAGER=

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

RUN |21 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c usermod postgres --home "${PGROOT}" --move-home # buildkit

2025-11-04 07:35:08 UTC (buildkit.dockerfile.v0)

RUN |21 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d "${PGROOT}" "${PGLOG}" "${PGDATA}" "${BACKUPROOT}" /etc/supervisor/conf.d /scripts /var/lib/postgresql # buildkit

2025-11-04 07:35:09 UTC (buildkit.dockerfile.v0)

RUN |21 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c rm /etc/pgbackrest.conf && ln -s "${PGBACKREST_CONFIG}" /etc/pgbackrest.conf # buildkit

2025-11-04 07:35:09 UTC (buildkit.dockerfile.v0)

RUN |21 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c for i in $(seq 0 7); do touch "${PGLOG}/postgresql-$i.log" "${PGLOG}/postgresql-$i.csv"; done # buildkit

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

RUN |21 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c set -e; chown -R postgres:postgres "${PGLOG}" "${PGROOT}" "${PGDATA}" /var/run/postgresql/; chown -R postgres:postgres /var/log/pgbackrest/ /var/lib/pgbackrest /var/spool/pgbackrest; chmod -x /usr/lib/postgresql/*/lib/*.so; chmod 1777 /var/run/postgresql; chmod 755 "${PGROOT}" # buildkit

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

RUN |21 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c set -eux; mv -f /etc/apt/sources.list /etc/apt/sources.list.aws; mv -f /etc/apt/sources.list.dist /etc/apt/sources.list # buildkit

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

ARG DOCKER_FROM=ubuntu:22.04

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

ARG BUILDER_URL=docker.io/timescale/timescaledb-ha:pg13-builder

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

ARG RELEASE_URL=docker.io/timescale/timescaledb-ha:pg13

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

RUN |24 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg13-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg13 /bin/bash -exu -o pipefail -c /build/scripts/install_extensions versions > /.image_config; echo "OSS_ONLY=\"$OSS_ONLY\"" >> /.image_config; echo "PG_LOGERRORS=\"${PG_LOGERRORS}\"" >> /.image_config; echo "PG_STAT_MONITOR=\"${PG_STAT_MONITOR}\"" >> /.image_config; echo "PGVECTO_RS=\"${PGVECTO_RS}\"" >> /.image_config; echo "VECTORCHORD=\"${VECTORCHORD}\"" >> /.image_config; echo "POSTGIS_VERSIONS=\"${POSTGIS_VERSIONS}\"" >> /.image_config; echo "PG_AUTH_MON=\"${PG_AUTH_MON}\"" >> /.image_config; echo "PGBOUNCER_EXPORTER_VERSION=\"${PGBOUNCER_EXPORTER_VERSION}\"" >> /.image_config; echo "PGBACKREST_EXPORTER_VERSION=\"${PGBACKREST_EXPORTER_VERSION}\"" >> /.image_config; echo "PGAI_VERSION=\"${PGAI_VERSION}\"" >> /.image_config; echo "PGVECTORSCALE_VERSIONS=\"${PGVECTORSCALE_VERSIONS}\"" >> /.image_config; echo "PG_MAJOR=\"${PG_MAJOR}\"" >> /.image_config; echo "PG_VERSIONS=\"${PG_VERSIONS}\"" >> /.image_config; echo "FROM=\"${DOCKER_FROM}\"" >> /.image_config; echo "RELEASE_URL=\"${RELEASE_URL}\"" >> /.image_config; echo "BUILDER_URL=\"${BUILDER_URL}\"" >> /.image_config; echo "BUILD_DATE=\"$(date -Iseconds)\"" >> /.image_config # buildkit

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

WORKDIR /home/postgres

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

EXPOSE map[5432/tcp:{} 8008/tcp:{} 8081/tcp:{}]

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

USER postgres

2025-11-04 07:35:10 UTC (buildkit.dockerfile.v0)

COPY --chown=postgres:postgres cicd /cicd/ # buildkit

2025-11-04 07:35:11 UTC (buildkit.dockerfile.v0)

RUN |24 PG_VERSIONS=13 PG_MAJOR=13 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg13-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg13 /bin/bash -exu -o pipefail -c /cicd/install_checks -v # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete